@import '../../../assets/scss/variables.scss';
.container-form {
  margin-top: 5em;
  height: 400px;

  form {
    height: 90%;
    & > .col {
      float: left;
    }
    .col {
      width: 50%;
      height: 100%;

      .form-control {
        height: 6em;

        h3 {
          font-size: 1em;
          margin: 0 0 0.5em 0;
          padding: 0;
        }

        & > label {
          display: block;
          padding-bottom: 8px;
          font-weight: 700;

          span {
            color: lighten($color: $border-color, $amount: 50);
            font-size: 0.8em;
            font-weight: 400;
            margin-left: 58%;
          }
        }

        input[type='text'],
        input[type='email'] {
          line-height: 2em;
          padding: 0.1em 0 0.1em 0.6em;
          border: 2px solid lighten($color: $border-color, $amount: 80);
          border-radius: 3px;
          width: 70%;
          overflow: hidden;
          box-shadow: none;
          transition: border 0.2s ease;

          ~ .explain-form {
            display: inline-block;
            color: lighten($color: $border-color, $amount: 50);
            width: 60%;
            font-size: 0.8em;
            margin: 0.5em 0 0 0;
            opacity: 0;
          }

          ~ span.error {
            color: lighten($color: red, $amount: 20);
            padding: 0;
            margin: 0 0 0 1.8em;
            display: inline-block;
            font-size: 0.8em;
          }

          &:focus {
            outline-color: $primary-color;
            border-color: $primary-color;

            ~ .explain-form {
              opacity: 1;
              padding: 0;
            }
          }
        }

        .radio-group {
          position: relative;
          input[type='radio'] {
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            padding: 12px;
            border-radius: 50px;
            position: relative;
            border: 2px solid lighten($color: $border-color, $amount: 50);
            outline: none;

            &:checked:after {
              content: ' ';
              width: 12px;
              height: 12px;
              border-radius: 50px;
              position: absolute;
              top: 6px;
              background: lighten($color: $border-color, $amount: 10);
              text-shadow: 0px;
              left: 6px;
              font-size: 32px;
            }

            &:checked,
            &:hover {
              border: 2px solid $primary-color;
              outline: none;
            }
          }
        }

        .checkbox-group {
          position: relative;
          input[type='checkbox'] {
            appearance: none;
            -webkit-appearance: none;
            -moz-appearance: none;
            padding: 12px;
            border-radius: 5px;
            position: relative;
            border: 2px solid lighten($color: $border-color, $amount: 50);
            outline: none;

            &:checked:after {
              content: '\2714';
              font-size: 15px;
              font-weight: 700;
              position: absolute;
              top: 5px;
              color: lighten($color: $border-color, $amount: 10);
              text-shadow: 0px;
              left: 5px;
            }

            &:checked,
            &:hover {
              border: 2px solid $primary-color;
              outline: none;
            }
          }
        }

        .radio-group,
        .checkbox-group {
          label {
            position: relative;
            top: -10px;
            padding: 0.2em 0.5em 0.2em 0.5em;
          }
        }

        .button-group {
          position: relative;
          top: 60%;
          float: right;

          button {
            cursor: pointer;
            color: lighten($color: $border-color, $amount: 20);
            font-weight: 700;
            padding: 0.5em 1em;
            background-color: lighten($color: $border-color, $amount: 70);
            border-radius: 5px;
            border-color: transparent;
            outline: none;
            transition: all 0.2s ease;

            &:focus,
            &:visited {
              outline: none;
            }

            &:hover {
              background-color: lighten($color: $border-color, $amount: 60);
            }

            &:not(:first-child) {
              margin-left: 5px;
              background-color: $primary-color;
              color: $back-color;

              &:hover {
                background-color: darken($color: $primary-color, $amount: 10);
              }

              &[disabled],
              &[disabled]:hover {
                cursor: default;
                background-color: lighten($color: $border-color, $amount: 70);
              }
            }
          }
        }
      }

      &:last-child {
        .form-control {
          padding-left: 2em;
        }
      }
    }
  }

  .clear-fix {
    clear: both;
  }
}
